import { ReactNode } from 'react';
import { NativeTouchEvent, TextInputFocusEventData } from 'react-native';
import { TextInputChangeEventData } from 'react-native/Libraries/Components/TextInput/TextInput';
import { NativeSyntheticEvent } from 'react-native/Libraries/Types/CoreEventTypes';
export type InputElementType<Value> = {
    color?: 'primary' | 'secondary' | 'positive' | 'negative';
    disabled?: boolean;
    fullWidth?: boolean;
    label?: string | ReactNode;
    labelSize?: 'lg' | 'md' | 'sm' | 'xl';
    loading?: boolean;
    message?: string;
    name?: string;
    onBlur?: (e?: NativeSyntheticEvent<TextInputFocusEventData | NativeTouchEvent>, value?: Value | null) => void;
    onChange?: (e?: NativeSyntheticEvent<TextInputChangeEventData | NativeTouchEvent>, value?: Value | null) => void;
    onClick?: (e?: NativeSyntheticEvent<NativeTouchEvent | PointerEvent>, value?: Value | null) => void;
    onFocus?: (e?: NativeSyntheticEvent<TextInputFocusEventData>, value?: Value | null) => void;
    placeholder?: string;
    size?: 'lg' | 'md' | 'sm' | 'xl';
    value?: Value;
};
